Subject: [Tools-discuss] Fwd: OT but nice productivity hack: Yubnub to find RFCs, I-Ds and WGs

From: Carsten Bormann <[email-masked]>
Date: Wed, 7 Dec 2005 23:47:32 +0100

Another thing the tools group (which is probably almost a subset of  
[email-masked], though) might want to look at, whether by  
installing additional words into the common yubnub or maybe even by  
running a special ietf yubnub.

Gruesse, Carsten

Begin forwarded message:

> From: Lisa Dusseault <[email-masked]>
> Date: December 07 2005 23:10:17 Uhr GMT+01:00
> To: IMAP Extensions WG <[email-masked]>, IETF-iCalendar <ietf- 
> [email-masked]>, WG Chairs <[email-masked]>, WebDAV  
> WG <[email-masked]>
> Subject: OT but nice productivity hack: Yubnub to find RFCs, I-Ds  
> and WGs
>
>
> A co-worker (Jared Rhine) pointed me to Yubnub.org a while back.  I  
> have grown addicted to it as a Internet command-line to jump  
> straight to what I want.  E.g. I use a command like "thes addicted"  
> to quickly find thesaurus matches: absorbed, accustomed,  
> attached... :)
>
> There was one IETF-related yubnub command already and I added two  
> more very simple ones.
>
> To jump to an RFC: rfc xxxx
> 	e.g. 'rfc 2822'  (don't forget space)
>
> Internet-Draft Database Search: (shows list with filename substring  
> match): ids keyword
> 	e.g. 'ids dusseault' to find draft-dusseault-caldav-08, but not  
> draft-ietf-webdav-rfc2518bis because 'dusseault' isn't in the title  
> of that one
>
> To jump to a WG charter: wg wgname
> 	e.g. 'wg imapext'
>
> Not only do I get to avoid the thesaurus.com web form to find  
> thesaurus matches, I also avoid the Yubnub Web form because I've  
> set up Firefox so that I can type a Yubnub command line right into  
> the address bar. Other possibilities include using the search  
> engine field or a console app <http://www.yubnub.org/documentation/ 
> describe_installation>.
>
> Fun, fun.  Hope it's useful to you too.  Let me know if you create  
> other IETF-related command lines.  I'll blog about it or something  
> so as not to spam people again.
>
> Lisa
>

_______________________________________________
Tools-discuss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-discuss